-------------------------------------------------------------------------------
-- Title      : DIOT Demo Diagnostics package
-- Project    : Distributed I/O Tier
-------------------------------------------------------------------------------
-- File       : diag_pkg.vhd
-- Author     : Greg Daniluk <grzegorz.daniluk@cern.ch>
-- Company    : CERN (BE-CO-HT)
-- Standard   : VHDL
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
--
-- Copyright (c) 2018 CERN
--
-- Copyright and related rights are licensed under the Solderpad Hardware
-- License, Version 0.51 (the “License”) (which enables you, at your option,
-- to treat this file as licensed under the Apache License 2.0); you may not
-- use this file except in compliance with the License. You may obtain a copy
-- of the License at http://solderpad.org/licenses/SHL-0.51.
-- Unless required by applicable law or agreed to in writing, software,
-- hardware and materials distributed under this License is distributed on an
-- “AS IS” BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
-- or implied. See the License for the specific language governing permissions
-- and limitations under the License.
--
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

package diag_pkg is
  
  type t_diag_out is record
    fan_status  : std_logic_vector(7 downto 0);
    temp_status : std_logic_vector(7 downto 0);
    volt_status : std_logic_vector(7 downto 0);
    fan1_speed  : std_logic_vector(15 downto 0);
    fan2_speed  : std_logic_vector(15 downto 0);
    fan3_speed  : std_logic_vector(15 downto 0);
    temp1       : std_logic_vector(7 downto 0);
    temp2       : std_logic_vector(7 downto 0);
    temp3       : std_logic_vector(7 downto 0);
    temp4       : std_logic_vector(7 downto 0);
    temp5       : std_logic_vector(7 downto 0);
    temp6       : std_logic_vector(7 downto 0);
  end record;

end diag_pkg;
