-------------------------------------------------------------------------------
-- Title      : DIOT Demo Diagnostics
-- Project    : Distributed I/O Tier
-------------------------------------------------------------------------------
-- File       : diot_diag.vhd
-- Author     : Greg Daniluk <grzegorz.daniluk@cern.ch>
-- Company    : CERN (BE-CO-HT)
-- Standard   : VHDL
-------------------------------------------------------------------------------
-- Description:
-- This module exports basic monitoring information provided by DIOT
-- demonstrator crates.
-------------------------------------------------------------------------------
--
-- Copyright (c) 2018 CERN
--
-- Copyright and related rights are licensed under the Solderpad Hardware
-- License, Version 0.51 (the “License”) (which enables you, at your option,
-- to treat this file as licensed under the Apache License 2.0); you may not
-- use this file except in compliance with the License. You may obtain a copy
-- of the License at http://solderpad.org/licenses/SHL-0.51.
-- Unless required by applicable law or agreed to in writing, software,
-- hardware and materials distributed under this License is distributed on an
-- “AS IS” BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
-- or implied. See the License for the specific language governing permissions
-- and limitations under the License.
--
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
use work.diag_pkg.all;

entity diot_diag is
  port (
    rst_n_i : in  std_logic;
    clk_i   : in  std_logic;

    scl_o   : out std_logic;
    scl_i   : in  std_logic;
    sda_o   : out std_logic;
    sda_i   : in  std_logic;

    diags_o : out t_diag_out
  );
end diot_diag;

architecture rtl of diot_diag is
begin
end rtl;
